Skip to main content
POST
Create an invoice payment
Learn more:
  • How do sales and purchase entries work? ↗
  • What are outstanding items? ↗

Path Parameters

consumer_id
string<uuid>
required

Query Parameters

folder_id
string | null

Id of the accounting folder instance. A folder represents a legal entity within the system. Required when the multiple folders feature is enabled.

Body

application/json
date
string<date>
required

The date of the payment

Example:

"2026-02-14"

payment_method_id
string
required

Technical ID of the payment method in the accounting system.

Example:

"<accounting-payment-method-id>"

currency
string
required

Payment currency

Example:

"EUR"

items
AccountingInvoicePaymentItemIn · object[]
required

Payment's repartition

currency_exchange_rate
number | null
default:1

Exchange rate from the transaction currency to the folder's base currency, applicable at the payment date. Required when the currency is different from the folder's base currency.

reference
string | null

External reference of the payment.

Example:

"REF-0001"

number
string | null

Unique Payment number (if managed by the software).

Example:

"PAY-2026-0001"

Response

Successful Response